Name:          jadconfig
Version:       0.11.0
Release:       1%{?dist}
Summary:       Annotation-driven configuration library for Java
License:       ASL 2.0
URL:           https://github.com/joschi/JadConfig
Source0:       https://github.com/joschi/JadConfig/archive/%{name}-%{version}.tar.gz
# https://github.com/joschi/JadConfig/issues/5
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: maven-local
BuildRequires: mvn(cglib:cglib)
BuildRequires: mvn(com.google.code.findbugs:jsr305)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.google.inject:guice)
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-simple)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
JadConfig is a minimalistic annotation-driven configuration parsing framework
for Java with minimal dependencies.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n JadConfig-%{name}-%{version}
# Cleanup
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete

%pom_remove_plugin :coveralls-maven-plugin
%pom_remove_plugin :jacoco-maven-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin

# java.lang.NoClassDefFoundError: net/sf/cglib/proxy/CallbackFilter
%pom_add_dep cglib:cglib::test

cp -p %{SOURCE1} LICENSE.txt
sed -i 's/\r//' LICENSE.txt

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Tue Aug 25 2015 gil cattaneo <puntogil@libero.it> 0.11.0-1
- initial rpm
